[SOLVED] H.264-decoding gstreamer plugin doesn't work

Support and discussions for the x86/x64 Linux version of Pale Moon and specific Linux distribution questions related to the browser.

Moderator: trava90

Forum rules
If your question is about general use of the browser and not specific to Linux, then please use the General Support board.
Locked
longcao

[SOLVED] H.264-decoding gstreamer plugin doesn't work

Post by longcao » 2014-07-03, 16:03

Today I try palemoon for the 1st time. After installing version 24.6.2-1 on an Arch Linux i686 system (from palemoon-bin package in AUR), my impression is totally amazing and satisfying. Really love this browser.

However, html5 videos using codec h.264 do not play at all. I've set the option media.gstreamer.enabled to true. Package gstreamer0.10-ugly-plugins used for h.264 and mp3 decoding is already installed.

I use these sites to test: https://www.youtube.com/html5 and http://www.quirksmode.org/html5/tests/video.html

Could someone help me plz? :( This must have worked without any problem, so I guess perhaps it's because of the browser or the package itself. Should I compile the source package?
Last edited by longcao on 2014-07-03, 18:10, edited 1 time in total.

access2godzilla

Re: H.264-decoding gstreamer plugin doesn't work

Post by access2godzilla » 2014-07-03, 18:01

You probably need the gstreamer0.10-ffmpeg to be installed.

longcao

Re: H.264-decoding gstreamer plugin doesn't work

Post by longcao » 2014-07-03, 18:16

access2godzilla wrote:You probably need the gstreamer0.10-ffmpeg to be installed.
Poor me, last time I've tried gstreamer0.10-ffmpeg, but didn't restart the browser so no change was applied. Now everything works like a charm.

I would notify the Arch packager of such dependency, and mark this thread as [SOLVED]. Thanks a lot access2godzilla, you save my day :thumbup: Now I can go to sleep happily.

Locked